package com.zksy.drainage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.drainage.domain.PipeNetworkInfo;

import java.util.List;

/**
 * 排水管网基础数据 Service接口
 */
public interface PipeNetworkInfoService extends IService<PipeNetworkInfo> {

    /**
     * 分页查询
     */
    Page<PipeNetworkInfo> findByPage(long pageNum, long pageSize,
                                     String name, String area, String networkType);

    /**
     * 新增
     */
    boolean saveEntity(PipeNetworkInfo entity);

    /**
     * 修改
     */
    boolean updateEntity(PipeNetworkInfo entity);

    /**
     * 删除
     */
    boolean removeEntity(String id);

    /**
     * 批量删除
     */
    boolean removeBatchEntity(List<String> ids);

    /**
     * 绑定设备到管网
     */
    boolean bindEquipment(String id, List<String> equipmentIds);
}
